package weblogic.utils.io;

import java.io.*;

public final class DelegatingInputStream extends FilterInputStream {

    public DelegatingInputStream(InputStream in) throws IOException {
      super(in);
    }

    public InputStream getDelegate() {
      return in;
    }

    public void setDelegate(InputStream in) {
      this.in = in;
    }

    public void reset() throws IOException {
      in.reset();
    }
}
